> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttleパスエントリのリストを取得

> Shuttleジョブのソースパスエントリまたはターゲットパスエントリのページ割りされたリストを返します。`job_id`および`side`のみを指定して呼び出してルートのリストを取得した後、`path`または`path_id`、あるいはその両方を使用して一度に1レベルずつ参照します。各エントリには`path`、`path_id`、`is_directory`、`scope` (`account`または`shared_space`) の各オブジェクトが含まれるため、追加の参照状態なしでその行からマッピングを作成できます。有効な値は、選択されているシステムによって異なります。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /shuttle_path_entries
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_path_entries:
    get:
      tags:
        - Shuttle
      summary: Shuttleパスエントリのリストを取得
      description: >-
        Shuttleジョブのソースパスエントリまたはターゲットパスエントリのページ割りされたリストを返します。`job_id`および`side`のみを指定して呼び出してルートのリストを取得した後、`path`または`path_id`、あるいはその両方を使用して一度に1レベルずつ参照します。各エントリには`path`、`path_id`、`is_directory`、`scope`
        (`account`または`shared_space`)
        の各オブジェクトが含まれるため、追加の参照状態なしでその行からマッピングを作成できます。有効な値は、選択されているシステムによって異なります。
      operationId: get_shuttle_path_entries_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: job_id
          in: query
          description: パスエントリをリスト化するShuttleジョブの一意の識別子。
          required: true
          schema:
            type: string
          example: 6a3ba68e810d9156194530a1
        - name: side
          in: query
          description: 移行先と移行元のどちらを参照するのかを表すパラメータ。
          required: true
          schema:
            type: string
            enum:
              - source
              - target
          example: source
        - name: path
          in: query
          description: >-
            子パスが返される、人間が判読できる親パス。`path_id`を指定することも、省略することもできます。両方を省略した場合、または`path`として`/`を渡した場合には、ルートエントリのリストが返されます。
          required: false
          schema:
            type: string
            minLength: 1
          example: /Shared Documents/Projects
        - name: path_id
          in: query
          description: >-
            子エントリが返される、親エントリの`path_id`値。`path`を指定することも、省略することもできます。安定した識別子をサポートするシステムで、同一の名前を持つパスを区別します。
          required: false
          schema:
            type: string
          example: 01ABCDEF23456789
        - name: account_email
          in: query
          description: パスエントリが返されるアカウントのメールアドレス。これはシステム固有の識別子であり、RFC 5322アドレスであるとは限りません。
          required: false
          schema:
            type: string
          example: user@example.com
        - name: marker
          in: query
          description: |-
            結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

            これを使用するには、`usemarker`を`true`に設定する必要があります。
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: 返す項目の1ページあたりの最大数。
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
      responses:
        '200':
          description: Shuttleパスエントリのページ割りされたリストを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttlePathEntries'
        '400':
          description: >-
            必須のパラメータが指定されていない、パラメータの形式が正しくない、または選択されたシステムで指定された`path`と`path_id`の組み合わせを参照できない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Shuttleジョブが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttlePathEntries:
      description: Shuttleパスエントリのページ割りされたリスト。
      type: object
      allOf:
        - required:
            - entries
          properties:
            entries:
              description: Shuttleパスエントリのリスト。
              type: array
              items:
                $ref: '#/components/schemas/ShuttlePathEntry'
        - type: object
          description: マーカーベースのページネーションについて説明しているAPIレスポンスの部分。
          properties:
            limit:
              description: >-
                これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータの`limit`と等しくなります。最大値はAPIによって異なります。
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: 次の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: 前の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
      title: Shuttleパスエントリ
      x-box-resource-id: shuttle_path_entries_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttlePathEntry:
      description: >-
        Shuttleパスマッピングを作成するために使用する、ソースシステムまたはターゲットシステム上の参照可能なエントリ。共通フィールドはノードを表します。`scope`はマッピング名前空間を識別する識別済みオブジェクトであるため、この行から追加の参照状態なしでパスマッピングを作成できます。
      type: object
      properties:
        id:
          description: >-
            この参照行の一意の識別子。これはアカウント識別子ではありません。`scope.type`が`account`の場合、アカウント識別子は`scope.id`です。
          type: string
          example: 6a3ba7c02ea17bc9461eeacf
        type:
          description: 値は常に`shuttle_path_entry`になります。
          type: string
          example: shuttle_path_entry
          enum:
            - shuttle_path_entry
        name:
          description: パスエントリの表示名。
          type: string
          example: Projects
        path:
          description: 人間が判読できる、エントリのパス。
          type: string
          example: /Shared Documents/Projects
        path_id:
          description: >-
            パスのシステム固有の識別子。選択したシステムから識別子が提供されない場合は`null`。パスマッピングの場所における`path_id`に対応します。
          type: string
          example: 01ABCDEF23456789
          nullable: true
        parent_path:
          description: 人間が判読できる、親エントリのパス。ルートエントリの場合は`null`。
          type: string
          example: /Shared Documents
          nullable: true
        scope:
          example:
            type: shared_space
            space: HR Team Site
          allOf:
            - $ref: '#/components/schemas/ShuttlePathEntryScope'
            - description: >-
                このエントリのマッピング名前空間。`type`によって識別されるバリアントが必ず1つだけ存在します。`account`スコープでは、所有アカウントがこのオブジェクトにフラット化されます。`shared_space`スコープでは、コンテナ名が含まれます。エントリがファイルかフォルダかは、`scope`ではなく、`is_directory`で示されます。
        is_directory:
          description: >-
            エントリがディレクトリ (`true`) か単一ファイル (`false`)
            か。パスマッピングの場所における`is_directory`に対応します。
          type: boolean
          example: true
        can_map:
          description: パスマッピングでこのエントリを選択できるかどうか。
          type: boolean
          example: true
      required:
        - id
        - type
        - name
        - path
        - scope
        - is_directory
        - can_map
      title: Shuttleパスエントリ
      x-box-resource-id: shuttle_path_entry_v2026.0
      x-box-tag: shuttle
    ShuttlePathEntryScope:
      description: >-
        このパスエントリが属しているマッピング名前空間。`type`によって識別されます。`account`の場合、所有アカウントがこのオブジェクトにフラット化されます。`shared_space`の場合、共有コンテナ名が含まれます。ファイルかフォルダかはスコープには含まれません。パスエントリの`is_directory`を使用します。
      oneOf:
        - $ref: '#/components/schemas/ShuttlePathEntryAccountScope'
        - $ref: '#/components/schemas/ShuttlePathEntrySharedSpaceScope'
      title: Shuttleパスエントリのスコープ
      x-box-resource-id: shuttle_path_entry_scope_v2026.0
      x-box-tag: shuttle
    ShuttlePathEntryAccountScope:
      description: >-
        ユーザーアカウントまたはサービスアカウント配下にあるパスエントリのマッピングスコープ。`type`は識別子です。残りのフィールドはアカウント自体を表し、このオブジェクトにフラット化されています。つまり、ネストされた`account`ラッパーではありません。ここでの`id`はアカウント識別子であって、パスエントリの`id`ではありません。アカウントスコープのパスマッピングを作成する際には、これらのフィールドを`account`にコピーします。
      type: object
      properties:
        type:
          description: 値は常に`account`になります。
          type: string
          example: account
          enum:
            - account
        id:
          description: >-
            このエントリを所有するアカウントのプラットフォーム固有の識別子。システムから識別子が提供されない場合は`null`。これはパスエントリの`id`ではありません。アカウントスコープのパスマッピングの場所における`account.id`に対応します。
          type: string
          example: '123456'
          nullable: true
        email:
          description: >-
            このエントリを所有するアカウントのメールアドレス。これはシステム固有の識別子です。必ずしもRFC
            5322形式のアドレスとは限りません。不明な場合は`null`。アカウントスコープのパスマッピングの場所における`account.email`に対応します。
          type: string
          example: user@example.com
          nullable: true
        name:
          description: >-
            このエントリを所有するアカウントの表示名。不明な場合は`null`。アカウントスコープのパスマッピングの場所における`account.name`に対応します。
          type: string
          example: Jane Doe
          nullable: true
      required:
        - type
      title: Shuttleパスエントリのアカウントスコープ
      x-box-resource-id: shuttle_path_entry_account_scope_v2026.0
      x-box-tag: shuttle
    ShuttlePathEntrySharedSpaceScope:
      description: >-
        サイト、チームドライブ、バケット、ファイル共有などの共有コンテナ配下にあるパスエントリのマッピングスコープ。`type`は識別子です。この行からマッピングを作成する際は、`space`を共有スペースのパスマッピングの場所にコピーします。
      type: object
      properties:
        type:
          description: 値は常に`shared_space`になります。
          type: string
          example: shared_space
          enum:
            - shared_space
        space:
          description: >-
            このエントリが属している共有コンテナの表示名。システムに暗黙のコンテナが1つしかない場合は`null`。共有スペースのパスマッピングの場所における`space`に対応します。
          type: string
          example: HR Team Site
          nullable: true
      required:
        - type
      title: Shuttleパスエントリの共有スペーススコープ
      x-box-resource-id: shuttle_path_entry_shared_space_scope_v2026.0
      x-box-tag: shuttle
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````